<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Cloud](./bitburner.cloud.md) &gt; [deleteServer](./bitburner.cloud.deleteserver.md)

## Cloud.deleteServer() method

Delete a cloud server.

**Signature:**

```typescript
deleteServer(host: string): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

host


</td><td>

string


</td><td>

Hostname/IP of the cloud server to delete.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if successful, and false otherwise.

## Remarks

RAM cost: 2.25 GB

Deletes one of your cloud servers, which is specified by its hostname/ip.

The host argument can be any data type, but it will be converted to a string. Whitespace is automatically removed from the string. This function will not delete a cloud server that still has scripts running on it.

